The push report: sent, shown, clicks, unsubscribes and expired subscriptions, by browser and site
GET
/api/v1/workspaces/{workspace}/push-campaigns/{campaignId}/report
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/push-campaigns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/report"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/push-campaigns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/report';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/push-campaigns/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/report \ --header 'Authorization: Bearer <token>'Permission: reports:view
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
campaignId
required
Campaign id
string format: uuid
Campaign id
Responses
Section titled “Responses”OK
Media typeapplication/json
object
byBrowser
required
Array<object>
object
browser
required
string
clicks
required
integer format: int64
sent
required
integer format: int64
shown
required
integer format: int64
shownPct
required
number format: double
bySite
required
Array<object>
object
host
required
string
sent
required
integer format: int64
canSend
required
boolean
clicks
required
integer format: int64
clicks24
required
Array<object>
object
clicks
required
integer format: int64
minutes
required
integer format: int64
clicksPct
required
number format: double
expired
required
integer format: int64
failed
required
integer format: int64
held
required
integer format: int64
id
required
string
name
required
string
planned
required
integer format: int64
queued
required
integer format: int64
sent
required
integer format: int64
sentAt
string format: date-time
sentBy
required
string
shown
required
integer format: int64
shownPct
required
number format: double
sites
required
Array<string>
sitesNotIn
required
Array<string>
skipped
required
object
key
additional properties
integer format: int64
status
required
string
tag
required
string
ttlMinutes
required
integer format: int64
unsubscribed
required
integer format: int64
unsubscribedPct
required
number format: double
Example
{ "byBrowser": [ { "browser": "chrome" } ], "status": "draft"}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}